## ubuntu-packaging-guide 0.2.2~ubuntu12.04.1

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
PODIR         = po
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
LANGS = $(basename $(notdir $(wildcard $(PODIR)/*.po)))

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to (re)generate the .pot file using sphinx gettext"
	@echo "  locale     to compile .mo files from the .po files."
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* $(PODIR)/.doctrees \
	$(foreach lang,$(LANGS),$(PODIR)/$(lang)/)

html: $(foreach lang,$(LANGS),html-$(lang))
	# Always build an English version, even if there are no .po files.
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	mv $(BUILDDIR)/html/ubuntu-packaging-guide/*html $(BUILDDIR)/html/
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/*html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/html/*html
	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/*html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"
html-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/$*
	mv $(BUILDDIR)/html/$*/ubuntu-packaging-guide/*html  $(BUILDDIR)/html/$*
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/$*/*html
	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/$*/*html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/$*."

dirhtml: $(foreach lang,$(LANGS),dirhtml-$(lang))
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/en
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/en"
dirhtml-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/$*
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/$*."

singlehtml: $(foreach lang,$(LANGS),singlehtml-$(lang))
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	mv $(BUILDDIR)/singlehtml/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/ubuntu-packaging-guide\/index/index/g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/..\/..\/_images/.\/_images/g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/singlehtml/index.html
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml"
singlehtml-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml/$*
	mv $(BUILDDIR)/singlehtml/$*/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml/$*
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/$*/index.html
	sed -i 's/ubuntu-packaging-guide\/index/index/g' $(BUILDDIR)/singlehtml/$*/index.html
	sed -i 's/..\/..\/_images/.\/_images/g' $(BUILDDIR)/singlehtml/$*/index.html
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml/$*."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ubuntu-packaging-guide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ubuntu-packaging-guide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ubuntu-packaging-guide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ubuntu-packaging-guide"
	@echo "# devhelp"

epub: $(foreach lang,$(LANGS),epub-$(lang))
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub"
epub-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub/$*
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub/$*."

latex: $(foreach lang,$(LANGS),latex-$(lang))
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in is in $(BUILDDIR)/epub/en"
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."
latex-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex/$*."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(foreach lang,$(LANGS),latexpdf-$(lang))
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	mkdir -p $(BUILDDIR)/pdf; cp $(BUILDDIR)/latex/*pdf $(BUILDDIR)/pdf
	@echo "Build finished; the PDF files are in $(BUILDDIR)/pdf"
latexpdf-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex/$* all-pdf
	mkdir -p $(BUILDDIR)/pdf/$*; cp $(BUILDDIR)/latex/$*/*pdf $(BUILDDIR)/pdf/$*
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/$*."

text: $(foreach lang,$(LANGS),text-$(lang))
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/en
	@echo
	@echo "Build finished. The text pages are in $(BUILDDIR)/text/en"
text-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/$*
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text/$*."

man: $(foreach lang,$(LANGS),man-$(lang))
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/en
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/en"
man-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/$*
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/$*."

texinfo: $(foreach lang,$(LANGS),texinfo-$(lang))
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/en
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/en."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."
texinfo-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/$*."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: $(foreach lang,$(LANGS),info-$(lang))
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/en
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo/en info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo/en."
info-%: locale
	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo/$* info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo/$*."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(PODIR)/
	@echo
	@echo "Build finished. The message catalogs are in $(PODIR)/."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

locale: $(foreach lang,$(LANGS),locale-$(lang))
locale-%:
	@echo "Compiling .mo files in $(PODIR)/$*/LC_MESSAGES"
	mkdir -p $(PODIR)/$*/LC_MESSAGES
	msgfmt po/$*.po -o po/$*/LC_MESSAGES/ubuntu-packaging-guide.mo

=== debian/changelog ===
ubuntu-packaging-guide (0.2.2~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1042186)

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 15 Sep 2012 23:56:53 -0500

ubuntu-packaging-guide (0.2.2) quantal; urgency=low

  * Added COPYING.GPL3 text, fixed a mistake in debian/copyright. Thanks Séb.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Aug 2012 12:38:13 +0200

ubuntu-packaging-guide (0.2.1) quantal; urgency=low

  * Upload to quantal. (LP: #1004017)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Aug 2012 11:59:08 +0200

ubuntu-packaging-guide (0.2) UNRELEASED; urgency=low

  [ Iain Lane ]
  * Don't mix debuild and bzr builddeb in the same guide
    (packaging-new-software).

  [ Jonathan Jesse ]
  * "bzr commit" should be "debcommit" in fixing-a-bug. (LP: #978493)
  * Use 'bzr lp-propose' instead of 'bzr lp-open' (LP: #950227)

  [ Andrew Starr-Bochicchio ]
  * Provide overview of traditional packaging tools (LP: #809925)
  * traditional-packaging.html is empty, but linked to (LP: #885315)
  * Only exclude the -html/_sources dir from compression. Lintian doesn't like
    the changelog not being compressed.
  * For epub packages only install the epub file. Every thing else is just
    leftover from the build process.
  * Install the html/_sources dir. They are linked to on the web site.
  * Adjust paths for new install locations
  * debian/rules: Add a get-orig-source target.
  * Drop udd-newpackage page. It's contents are sufficiently covered in
    the packaging-new-software page (LP: #942754).
  * Fix installation of singlehtml (LP: #1014639).

  [ Andrew Starr-Bochicchio + Daniel Holbach ]
  * provide a means to ship per-language per-flavour packages, if a certain
    level of completeness of the translations is reached. (LP: #961936)

  [ Daniel Holbach ]
  * Integrate sponsoring documentation (setting expectations, explain 
    process). (LP: #996096)
  * Refer to the backports process (LP: #1017984).

  [ Dmitry Shachnev ]
  * Add python-packaging.rst (LP: #702008)
  * Add guide.css and pygments.css files

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 06 Jun 2012 09:28:00 +0200

ubuntu-packaging-guide (0.1) quantal; urgency=low

  [ Daniel Holbach ]
  * Initial release. (LP: #1004017)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 01 Jun 2012 18:16:22 -0400

=== debian/control ===
Source: ubuntu-packaging-guide
Priority: optional
Section: doc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-sphinx (>= 1.1~), doc-base, 
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-fonts-recommended, fdupes
Standards-Version: 3.9.3

Package: ubuntu-packaging-guide
Depends: ${misc:Depends}, ubuntu-packaging-guide-html
Architecture: all
Section: metapackages
Description: Ubuntu Packaging Guide - metapackage
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the 
 Debian policy, but serve as a starting point with easy and simple to 
 understand articles.
 .
 This is a metapackage, depending only on 
 ubuntu-packaging-guide-html.

Package: ubuntu-packaging-guide-html
Depends: ${misc:Depends}, libjs-underscore, libjs-jquery (>= 1.6.1)
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the 
 Debian policy, but serve as a starting point with easy and simple to 
 understand articles.
 .
 This package contains the HTML version of the guide.

Package: ubuntu-packaging-guide-pdf
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the 
 Debian policy, but serve as a starting point with easy and simple to 
 understand articles.
 .
 This package contains the PDF version of the guide.

Package: ubuntu-packaging-guide-epub
Depends: ${misc:Depends}, libjs-underscore, libjs-jquery (>= 1.6.1)
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the 
 Debian policy, but serve as a starting point with easy and simple to 
 understand articles.
 .
 This package contains the EPUB version of the guide.

=== debian/rules ===
#!/usr/bin/make -f

VERSION:= $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --builddirectory=_build

override_dh_auto_build:
	make latexpdf
	make html
	make singlehtml
	make epub

override_dh_compress:
	dh_compress -X usr/share/doc/ubuntu-packaging-guide-html/_sources

override_dh_link:
	# symlink identical resources. Only needed for the html packages.
	for lang in `find debian/ -maxdepth 1 -iname *html* -type d | cut -c 30-`; do \
		cd debian/ubuntu-packaging-guide$$lang && LC_ALL=C fdupes -r1nq \
		usr/share/doc/ubuntu-packaging-guide$$lang | while read s; do \
				set -- $$(echo $$s | tr ' ' '\n' | sort); \
				f=$$1; shift; \
				for d; do \
					echo "symlinking identical file $$f to $$d"; \
					rm $$f; ln -s /$$d $$f; \
				done; \
			done; \
		cd -; \
	done
	# use system copies of jquery and underscore instead.
	for filename in `find $$DEBIANDIR -wholename '*/_static/jquery.js'`; do \
		rm $$filename; \
		ln -s /usr/share/javascript/jquery/jquery.js $$filename; \
	done
	for filename in `find $$DEBIANDIR -wholename '*/_static/underscore.js'`; do \
		rm $$filename; \
		ln -s /usr/share/javascript/underscore/underscore.js $$filename; \
	done
	dh_link

override_dh_install:
	dh_install --list-missing

get-orig-source:
	bzr export -r tag:$(VERSION) --root=ubuntu-packaging-guide-$(VERSION).orig \
		ubuntu-packaging-guide_$(VERSION).tar.gz lp:ubuntu-packaging-guide

## ubuntu-packaging-guide 0.2.3

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 PODIR         = po
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-LANGS = $(basename $(notdir $(wildcard $(PODIR)/*.po)))
+#LANGS = $(basename $(notdir $(wildcard $(PODIR)/*.po)))
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale

=== debian/changelog ===
ubuntu-packaging-guide (0.2.3) unstable; urgency=low

  [ Thomas Kluyver ]
  * Improve English in Python packaging page.

  [ Don Kirkby ]
  * fix a number of typos.

  [ Daniel Holbach ]
  * workaround for bug 1043232, disable LANGS, so the build for Japanese
    PDFs is not attempted.
  * Fix add-languages-script as the deb822 API seems to have changed. Also
    print out some statistics about translations and if they are considered
    ready for addition or not.
  * Add a tutorial with a specific example of how to fix a bug. (LP: #1045396)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Sep 2012 13:20:35 +0200

=== debian/control ===
Source: ubuntu-packaging-guide
Priority: optional
Section: doc
Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Vcs-Bzr: lp:ubuntu-packaging-guide
Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
Build-Depends: debhelper (>= 7.0.50~),
               doc-base,
               fdupes,
               python-sphinx (>= 1.1~),
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended
Homepage: https://launchpad.net/ubuntu-packaging-guide
Standards-Version: 3.9.3

Package: ubuntu-packaging-guide
Depends: ubuntu-packaging-guide-html, ${misc:Depends}
Architecture: all
Section: metapackages
Description: Ubuntu Packaging Guide - metapackage
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This is a metapackage, depending only on
 ubuntu-packaging-guide-html.

Package: ubuntu-packaging-guide-html
Depends: libjs-jquery (>= 1.6.1), libjs-underscore, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.

Package: ubuntu-packaging-guide-pdf
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.

Package: ubuntu-packaging-guide-epub
Depends: libjs-jquery (>= 1.6.1), libjs-underscore, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.

## ubuntu-packaging-guide 0.3.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 PODIR         = po
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-#LANGS = $(basename $(notdir $(wildcard $(PODIR)/*.po)))
+LANGS =  es
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale
 
@@ -49,16 +49,31 @@
 	# Always build an English version, even if there are no .po files.
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	mv $(BUILDDIR)/html/ubuntu-packaging-guide/*html $(BUILDDIR)/html/
+	mv $(BUILDDIR)/html/_sources/ubuntu-packaging-guide/*.txt $(BUILDDIR)/html/_sources/
+	rm -r $(BUILDDIR)/html/_sources/ubuntu-packaging-guide/ $(BUILDDIR)/html/ubuntu-packaging-guide/
 	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/*html
 	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/html/*html
 	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/*html
+	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/*html
+	# The "grab the source code" URL shouldn't be mangled
+	sed -i 's/ubuntu-packaging-guide-team\/trunk/ubuntu-packaging-guide-team\/ubuntu-packaging-guide\/trunk/g' \
+	$(BUILDDIR)/html/*.html
+	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/searchindex.js
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"
 html-%: locale
 	$(SPHINXBUILD) -Dlanguage=$* -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/$*
-	mv $(BUILDDIR)/html/$*/ubuntu-packaging-guide/*html  $(BUILDDIR)/html/$*
+	mv $(BUILDDIR)/html/$*/ubuntu-packaging-guide/*html $(BUILDDIR)/html/$*
+	mv $(BUILDDIR)/html/$*/_sources/ubuntu-packaging-guide/*.txt $(BUILDDIR)/html/$*/_sources/
+	rm -r $(BUILDDIR)/html/$*/_sources/ubuntu-packaging-guide/ $(BUILDDIR)/html/$*/ubuntu-packaging-guide/
 	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/$*/*html
+	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/html/$*/*html
 	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/$*/*html
+	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/$*/*html
+	# The "grab the source code" URL shouldn't be mangled
+	sed -i 's/ubuntu-packaging-guide-team\/trunk/ubuntu-packaging-guide-team\/ubuntu-packaging-guide\/trunk/g' \
+	$(BUILDDIR)/html/$*/*.html
+	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/$*/searchindex.js
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/$*."
 
@@ -157,6 +172,13 @@
 	make -C $(BUILDDIR)/latex/$* all-pdf
 	mkdir -p $(BUILDDIR)/pdf/$*; cp $(BUILDDIR)/latex/$*/*pdf $(BUILDDIR)/pdf/$*
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/$*."
+latexpdf-ja: locale-ja
+	# Special case, selecting all-pdf-ja target instead of all-pdf
+	$(SPHINXBUILD) -Dlanguage=ja -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/ja
+	@echo "Running LaTeX files through pdflatex..."
+	make -C $(BUILDDIR)/latex/ja all-pdf-ja
+	mkdir -p $(BUILDDIR)/pdf/ja; cp $(BUILDDIR)/latex/ja/*pdf $(BUILDDIR)/pdf/ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/ja."
 
 text: $(foreach lang,$(LANGS),text-$(lang))
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/en
@@ -202,6 +224,7 @@
 
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(PODIR)/
+	sed -i '/^# [0-9a-f]\{32\}/d' $(PODIR)/ubuntu-packaging-guide.pot
 	@echo
 	@echo "Build finished. The message catalogs are in $(PODIR)/."

=== debian/changelog ===
ubuntu-packaging-guide (0.3.0) experimental; urgency=low

  [ Daniel Holbach ]
  * Added some additional information to the autopkgtest article.
  * Updated autopkgtest article to current tools. (LP: #1080805)
  * Enable Spanish translations. (LP: #1068493)

  [ Andrew Starr-Bochicchio ]
  * debian/scripts/add-languages:
   - Modify LANGS variable in Makefile when a language reaches
     threshold (LP: #1067288).
   - Clean up to make PEP8 compliant.
  * Drop udd-patchsys article. The patches-to-packages article
    is the recommended workflow (LP: #973884).
  * debian/control: Add myself to Uploaders and remove
    Benjamin Drung. Thanks for his previous work.
  
  [ Dmitry Shachnev ]
  * Fix search not working (LP: #814679).
  * Introduce -common package (LP: #1067338).
  * Better resources linking.
  * Remove unnecessary build-dependencies.
  * Add CSS styling for code blocks and search results page.
  * Link JS files with the libjs-sphinxdoc package.
  * Do not install websupport.js.
  * Simplified the syntax in python-packaging.rst.
  * pygments.css: remove background-color line, it makes pygmentized code
    blocks look inconsistent with other ones.
  * Make some links easier to translate.
  * Makefile: fix sed breaking "Grab the source" URL.
  * Makefile: add a special case for building Japanese PDF files
    (LP: #1043232).
  * Makefile: remove all hashsum lines from .pot file.
  * Install and use local logo-ubuntu.png.
  * Miscellaneous fixes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 09 Dec 2012 12:55:11 -0500

ubuntu-packaging-guide (0.2.4) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Make sure that packages built with example debian/rules from
    our "Python packaging" article get a correct shebang, thanks Colin
    Watson (LP: #1047457)
  * Add missing CSS bits for headers and admonitions (LP: #1045386)

  [ Daniel Holbach ]
  * Added article about using autopkgtest. 

 -- Benjamin Drung <bdrung@debian.org>  Wed, 10 Oct 2012 14:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Priority: optional
 Section: doc
 Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Vcs-Bzr: lp:ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: debhelper (>= 7.0.50~),
                doc-base,
-               fdupes,
                python-sphinx (>= 1.1~),
                texlive-fonts-recommended,
-               texlive-latex-base,
-               texlive-latex-extra,
-               texlive-latex-recommended
+               texlive-latex-recommended,
+               texlive-latex-extra
+#              texlive-lang-cjk,
+#              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
 Standards-Version: 3.9.3
 
@@ -30,8 +30,21 @@
  This is a metapackage, depending only on
  ubuntu-packaging-guide-html.
 
+Package: ubuntu-packaging-guide-common
+Depends: libjs-sphinxdoc, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - common files
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains some common files that are needed by HTML versions of
+ the guide.
+
 Package: ubuntu-packaging-guide-html
-Depends: libjs-jquery (>= 1.6.1), libjs-underscore, ${misc:Depends}
+Depends: ubuntu-packaging-guide-common, ${misc:Depends}
 Architecture: all
 Description: Ubuntu Packaging Guide - HTML guide
  The Ubuntu Packaging Guide is a set of articles that should help you to get
@@ -55,7 +68,7 @@
  This package contains the PDF version of the guide.
 
 Package: ubuntu-packaging-guide-epub
-Depends: libjs-jquery (>= 1.6.1), libjs-underscore, ${misc:Depends}
+Depends: libjs-sphinxdoc, ${misc:Depends}
 Architecture: all
 Description: Ubuntu Packaging Guide - EPUB guide
  The Ubuntu Packaging Guide is a set of articles that should help you to get
@@ -65,3 +78,45 @@
  understand articles.
  .
  This package contains the EPUB version of the guide.
+
+Package: ubuntu-packaging-guide-html-es
+Depends: ubuntu-packaging-guide-common, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - HTML guide - Spanish version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the HTML version of the guide.
+ .
+ This is the Spanish version.
+
+Package: ubuntu-packaging-guide-pdf-es
+Depends: ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - PDF guide - Spanish version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the PDF version of the guide.
+ .
+ This is the Spanish version.
+
+Package: ubuntu-packaging-guide-epub-es
+Depends: libjs-sphinxdoc, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - EPUB guide - Spanish version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the EPUB version of the guide.
+ .
+ This is the Spanish version.

## ubuntu-packaging-guide 0.3.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 PODIR         = po
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-LANGS =  es
+LANGS =  es ru
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale
 
@@ -44,8 +44,9 @@
 clean:
 	-rm -rf $(BUILDDIR)/* $(PODIR)/.doctrees \
 	$(foreach lang,$(LANGS),$(PODIR)/$(lang)/)
-
-html: $(foreach lang,$(LANGS),html-$(lang))
+	rm -f translators.html
+
+html: $(foreach lang,$(LANGS),html-$(lang)) translators.html
 	# Always build an English version, even if there are no .po files.
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	mv $(BUILDDIR)/html/ubuntu-packaging-guide/*html $(BUILDDIR)/html/
@@ -61,7 +62,7 @@
 	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/searchindex.js
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"
-html-%: locale
+html-%: locale-% translators.html
 	$(SPHINXBUILD) -Dlanguage=$* -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/$*
 	mv $(BUILDDIR)/html/$*/ubuntu-packaging-guide/*html $(BUILDDIR)/html/$*
 	mv $(BUILDDIR)/html/$*/_sources/ubuntu-packaging-guide/*.txt $(BUILDDIR)/html/$*/_sources/
@@ -77,16 +78,16 @@
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/$*."
 
-dirhtml: $(foreach lang,$(LANGS),dirhtml-$(lang))
+dirhtml: $(foreach lang,$(LANGS),dirhtml-$(lang)) translators.html
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/en
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/en"
-dirhtml-%: locale
+dirhtml-%: locale-% translators.html
 	$(SPHINXBUILD) -Dlanguage=$* -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/$*
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/$*."
 
-singlehtml: $(foreach lang,$(LANGS),singlehtml-$(lang))
+singlehtml: $(foreach lang,$(LANGS),singlehtml-$(lang)) translators.html
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	mv $(BUILDDIR)/singlehtml/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml
 	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/index.html
@@ -95,12 +96,13 @@
 	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/singlehtml/index.html
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml"
-singlehtml-%: locale
+singlehtml-%: locale-% translators.html
 	$(SPHINXBUILD) -Dlanguage=$* -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml/$*
 	mv $(BUILDDIR)/singlehtml/$*/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml/$*
 	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/$*/index.html
 	sed -i 's/ubuntu-packaging-guide\/index/index/g' $(BUILDDIR)/singlehtml/$*/index.html
 	sed -i 's/..\/..\/_images/.\/_images/g' $(BUILDDIR)/singlehtml/$*/index.html
+	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/singlehtml/$*/index.html
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml/$*."
 
@@ -142,7 +144,7 @@
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub"
-epub-%: locale
+epub-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub/$*
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub/$*."
@@ -153,7 +155,7 @@
 	@echo "Build finished; the LaTeX files are in is in $(BUILDDIR)/epub/en"
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
-latex-%: locale
+latex-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex/$*."
@@ -166,25 +168,26 @@
 	make -C $(BUILDDIR)/latex all-pdf
 	mkdir -p $(BUILDDIR)/pdf; cp $(BUILDDIR)/latex/*pdf $(BUILDDIR)/pdf
 	@echo "Build finished; the PDF files are in $(BUILDDIR)/pdf"
-latexpdf-%: locale
+latexpdf-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
+	# Disable Times package for russian language
+	@if [ $* = ru ]; then \
+		sed -i '/^\\usepackage{times}/d' $(BUILDDIR)/latex/ru/*.tex; \
+	fi
 	@echo "Running LaTeX files through pdflatex..."
-	make -C $(BUILDDIR)/latex/$* all-pdf
+	if [ $* = ja ]; then \
+		make -C $(BUILDDIR)/latex/$* all-pdf-ja; \
+	else \
+		make -C $(BUILDDIR)/latex/$* all-pdf; \
+	fi
 	mkdir -p $(BUILDDIR)/pdf/$*; cp $(BUILDDIR)/latex/$*/*pdf $(BUILDDIR)/pdf/$*
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/$*."
-latexpdf-ja: locale-ja
-	# Special case, selecting all-pdf-ja target instead of all-pdf
-	$(SPHINXBUILD) -Dlanguage=ja -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/ja
-	@echo "Running LaTeX files through pdflatex..."
-	make -C $(BUILDDIR)/latex/ja all-pdf-ja
-	mkdir -p $(BUILDDIR)/pdf/ja; cp $(BUILDDIR)/latex/ja/*pdf $(BUILDDIR)/pdf/ja
-	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/ja."
 
 text: $(foreach lang,$(LANGS),text-$(lang))
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/en
 	@echo
 	@echo "Build finished. The text pages are in $(BUILDDIR)/text/en"
-text-%: locale
+text-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/$*
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text/$*."
@@ -193,7 +196,7 @@
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/en
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/en"
-man-%: locale
+man-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/$*
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/$*."
@@ -204,7 +207,7 @@
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/en."
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
-texinfo-%: locale
+texinfo-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
 	@echo
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/$*."
@@ -216,7 +219,7 @@
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo/en info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo/en."
-info-%: locale
+info-%: locale-%
 	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo/$* info
@@ -224,8 +227,10 @@
 
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(PODIR)/
-	sed -i '/^# [0-9a-f]\{32\}/d' $(PODIR)/ubuntu-packaging-guide.pot
-	@echo
+	@sed -i '/^# [0-9a-f]\{32\}/d' $(PODIR)/ubuntu-packaging-guide.pot
+	@echo "# Will be replaced with a list of translators" >> $(PODIR)/ubuntu-packaging-guide.pot
+	@echo "msgid \"translator-credits\"" >> $(PODIR)/ubuntu-packaging-guide.pot
+	@echo "msgstr \"\"" >> $(PODIR)/ubuntu-packaging-guide.pot
 	@echo "Build finished. The message catalogs are in $(PODIR)/."
 
 changes:
@@ -246,7 +251,11 @@
 
 locale: $(foreach lang,$(LANGS),locale-$(lang))
 locale-%:
-	@echo "Compiling .mo files in $(PODIR)/$*/LC_MESSAGES"
-	mkdir -p $(PODIR)/$*/LC_MESSAGES
-	msgfmt po/$*.po -o po/$*/LC_MESSAGES/ubuntu-packaging-guide.mo
-
+	@if [ -f po/$*.po ]; then \
+		echo "Compiling .mo files in $(PODIR)/$*/LC_MESSAGES"; \
+		mkdir -p $(PODIR)/$*/LC_MESSAGES; \
+		msgfmt po/$*.po -o po/$*/LC_MESSAGES/ubuntu-packaging-guide.mo; \
+	else echo "$*.po not available, skipping .mo building"; \
+	fi
+
+translators.html:

=== debian/changelog ===
ubuntu-packaging-guide (0.3.1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Makefile:
    - Fix wrong links to some resources in singlehtml builds.
    - Make sure .mo files are built in locale targets.
  * auto-pkg-test.rst: Updated links for raring.
  * Add a work-around for the blank pages in PDF bug (LP: #1095513).
  * Disable useless index in PDFs.
  * Fix broken font in russian PDFs (LP: #1121795):
    - Add a build-dependency on cm-super-minimal.
    - Disable times package when language is russian.
  * Update README and add some information for translators.
  * Add a script to build the list of translators, run it during build.
  * Add "Help translate" and "View the list of translators" links to
    layout.html.
  * Add a build-dependency on python3-polib, and also prefer python3-sphinx
    to not use two python stacks at the build time.
  * Port debian/scripts/add-languages to Python 3 (using 2to3).
  * Bump build-dependency on Sphinx, we need at least 1.1.3+dfsg-6.

  [ Daniel Holbach ]
  * Document where to find a list of required autopkgtests and where 
    to get help.
  * Enable Russian translations. Add texlive-lang-cyrillic to debian/control
    as Build-Depends.
  * Bump Standards-Version. No changes.
  * conf.py: make changelog parsing cope with non-ascii characters.

  [ Andrew Starr-Bochicchio ]
  * Put license information into the page footer (LP: #1093447).
  * Add logo and fix title on the pdf cover page.

  [ Dražen Lučanin ]
  * getting-set-up.rst: link to Enigmail for Thunderbird GPG support.

  [ Jean-Baptiste Lallement ]
  * auto-pkg-test.rst: updated for raring and new run-adt-test syntax.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 08 Mar 2013 07:19:35 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: debhelper (>= 7.0.50~),
                doc-base,
-               python-sphinx (>= 1.1~),
+               python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
+               python3-polib,
                texlive-fonts-recommended,
                texlive-latex-recommended,
-               texlive-latex-extra
+               texlive-latex-extra,
+               texlive-lang-cyrillic,
+               cm-super-minimal
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -120,3 +123,45 @@
  This package contains the EPUB version of the guide.
  .
  This is the Spanish version.
+
+Package: ubuntu-packaging-guide-html-ru
+Depends: ubuntu-packaging-guide-common, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - HTML guide - Russian version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the HTML version of the guide.
+ .
+ This is the Russian version.
+
+Package: ubuntu-packaging-guide-pdf-ru
+Depends: ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - PDF guide - Russian version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the PDF version of the guide.
+ .
+ This is the Russian version.
+
+Package: ubuntu-packaging-guide-epub-ru
+Depends: libjs-sphinxdoc, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - EPUB guide - Russian version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the EPUB version of the guide.
+ .
+ This is the Russian version.
